"use client";
import {Swiper, SwiperSlide} from "swiper/react";
import {Autoplay, Pagination} from "swiper/modules";

import "swiper/css";
import "swiper/css/pagination";

interface Props {
  villaData: any;
}

export default function ReviewWidget({villaData}: Props) {
  return (
    <>
      <Swiper
        spaceBetween={30}
        centeredSlides={true}
        autoplay={{
          delay: 2500,
          disableOnInteraction: false,
        }}
        pagination={{
            type: "bullets",
            clickable: true,
            bulletActiveClass: "!bg-main !opacity-100",
            horizontalClass: "!space-x-5",
            bulletClass: "bullet-custom",
          }}
        loop
        modules={[Autoplay, Pagination]}
      >
        {villaData.review_data.map((review: any) => (
          <SwiperSlide key={review.id}>
            <div className="flex flex-col gap-5 items-center lg:mb-20 mb-[10rem] justify-center">
              <img
                src={review.image}
                width={90}
                height={90}
                alt="guest"
                className="rounded-full object-cover w-[90px] h-[90px]"
              />
              <p className="text-center italic">{review.desc}</p>
              <div className="text-center">
                <h4 className="italic">{review.name}</h4>
                <span className="italic">{review.position}</span>
              </div>
            </div>
          </SwiperSlide>
        ))}
      </Swiper>
    </>
  );
}
